Debian Bug report logs - #225305
libxml-xerces-perl: New version (2.3.0-4) available

version graph

Package: libxml-xerces-perl; Maintainer for libxml-xerces-perl is Jay Berkenbilt <qjb@debian.org>; Source for libxml-xerces-perl is src:libxml-xerces-perl.

Reported by: Hugo Haas <hugo@larve.net>

Date: Sun, 28 Dec 2003 16:03:01 UTC

Severity: wishlist

Tags: fixed

Found in version 2.1.0-1-1

Fixed in version libxml-xerces-perl/2.3.0-4-1

Done: Jay Berkenbilt <ejb@ql.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ivo Timmermans <ivo@debian.org>:
Bug#225305; Package libxml-xerces-perl. Full text and rfc822 format available.

Acknowledgement sent to Hugo Haas <hugo@larve.net>:
New Bug report received and forwarded. Copy sent to Ivo Timmermans <ivo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hugo Haas <hugo@larve.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libxml-xerces-perl: New version (2.3.0-4) available
Date: Sun, 28 Dec 2003 10:20:10 -0500
[Message part 1 (text/plain, inline)]
Package: libxml-xerces-perl
Version: 2.1.0-1-1
Severity: wishlist

Hi.

Version 2.3.0-4 is available from here:

	       http://www.apache.org/dist/xml/xerces-p/

Would it be possible to have it packaged? I have seen some weird
things with regards to namespaces and pretty printing in 2.1.0-1-1.

Thank you.

Regards,

Hugo

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux buena 2.4.23-evo-n410c #1 Thu Dec 11 07:11:39 EST 2003 i686
Locale: LANG=C, LC_CTYPE=fr_FR@euro

Versions of packages libxml-xerces-perl depends on:
ii  libc6                       2.3.2.ds1-10 GNU C Library: Shared libraries an
ii  libxerces21c102             2.1.0-5      Validating XML parser library for 
ii  perl                        5.8.2-2      Larry Wall's Practical Extraction 
ii  perl-base [perlapi-5.8.0]   5.8.2-2      The Pathologically Eclectic Rubbis

-- no debconf information

-- 
Hugo Haas - http://larve.net/people/hugo/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ivo Timmermans <ivo@debian.org>:
Bug#225305; Package libxml-xerces-perl. Full text and rfc822 format available.

Acknowledgement sent to Jay Berkenbilt <ejb@ql.org>:
Extra info received and forwarded to list. Copy sent to Ivo Timmermans <ivo@debian.org>. Full text and rfc822 format available.

Message #10 received at 225305@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <ejb@ql.org>
To: 225305@bugs.debian.org
Subject: willing to help with version upgrade
Date: Thu, 12 Feb 2004 15:45:14 -0500
I am also interested in using version 2.3.0.  I have some code that
uses features not present in 2.1.0.

I'll probably package this locally for my own use.  Unless I hear
otherwise, I'll make this available in case you would like to use it.

-- 
Jay Berkenbilt <ejb@ql.org>
http://www.ql.org/q/



Information forwarded to debian-bugs-dist@lists.debian.org, Ivo Timmermans <ivo@debian.org>:
Bug#225305; Package libxml-xerces-perl. Full text and rfc822 format available.

Message #13 received at 225305@bugs.debian.org (full text, mbox):

From: Ivo Timmermans <ivo@debian.org>
To: Jay Berkenbilt <ejb@ql.org>, 225305@bugs.debian.org
Subject: Re: Bug#225305: willing to help with version upgrade
Date: Thu, 12 Feb 2004 22:12:54 +0100
Jay Berkenbilt wrote:
> I am also interested in using version 2.3.0.  I have some code that
> uses features not present in 2.1.0.
> 
> I'll probably package this locally for my own use.  Unless I hear
> otherwise, I'll make this available in case you would like to use it.

Go ahead and do an NMU.


	Ivo

-- 
Software isn't released, it's allowed to escape.



Information forwarded to debian-bugs-dist@lists.debian.org, Ivo Timmermans <ivo@debian.org>:
Bug#225305; Package libxml-xerces-perl. Full text and rfc822 format available.

Acknowledgement sent to Jay Berkenbilt <ejb@ql.org>:
Extra info received and forwarded to list. Copy sent to Ivo Timmermans <ivo@debian.org>. Full text and rfc822 format available.

Message #18 received at 225305@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <ejb@ql.org>
To: Ivo Timmermans <ivo@debian.org>
Cc: 225305@bugs.debian.org
Subject: Re: Bug#225305: willing to help with version upgrade
Date: Thu, 12 Feb 2004 22:57:14 -0500
>   > I am also interested in using version 2.3.0.  I have some code that
>   > uses features not present in 2.1.0.
>   > 
>   > I'll probably package this locally for my own use.  Unless I hear
>   > otherwise, I'll make this available in case you would like to use it.
>
>   Go ahead and do an NMU.

I've prepared a version of libxml-xerces-perl 2.3.0-4, but it depends
upon the modification I suggested for libxerces23.  I basically just
took the debian directory from libxml-xerces-perl 2.1.0-1, copied
it into a fresh extract of version 2.3.0, and edited the changelog,
control, and rules files to reflect changes in build dependencies and
the addition of the XERCES_CONFIG environment variable for building.
I also made a gratuitous edit to README.Debian to remove some trailing
whitespace, and updated the copyright file with the newer LICENSE text
in the latest distribution, being careful to preserve the part of that
file that preceded the older version's LICENSE file.

I used dpkg-source to generate the diff.gz file and then used
dpkg-buildpackage to build the binary packages.  They seem to work
fine for me, but I'll wait to do anything with them or post my changes
until I hear one way or the other about the other issue in
libxerces23.  (Sorry -- I don't have the bug number yet.  I was
waiting for that before sending this, but now I have to go to bed
;-].  Anyway, I'm sure it will be obvious....)

Thanks again....

-- 
Jay Berkenbilt <ejb@ql.org>
http://www.ql.org/q/



Information forwarded to debian-bugs-dist@lists.debian.org, Ivo Timmermans <ivo@debian.org>:
Bug#225305; Package libxml-xerces-perl. Full text and rfc822 format available.

Acknowledgement sent to Jay Berkenbilt <ejb@ql.org>:
Extra info received and forwarded to list. Copy sent to Ivo Timmermans <ivo@debian.org>. Full text and rfc822 format available.

Message #23 received at 225305@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <ejb@ql.org>
To: 225305@bugs.debian.org
Subject: patch for version upgrade
Date: Sun, 22 Feb 2004 13:57:45 -0500
[Message part 1 (text/plain, inline)]
I've decided to go ahead and post my patch to this bug report.  I've
made the version upgrade from 2.1.0-1 to 2.3.0-4 minimal -- just
enough to do the version upgrade.

The information here encapsulates the changes to the files in the
debian directory so a potential sponsor or maintainer can approve and
upload the changes.

For convenience, I'm attaching two files: a trivial shell script, and
a patch.  Given the patch and the upstream XML-Xerces-2.3.0-4.tar.gz
source file, the script will create the source and binary packages for
libxml-xerces-perl_2.3.0-4-1.

You can see that the changes are quite minimal.  I updated the
debian/copyright file from upstream LICENSE file, updated the
"Build-Depends" and "Suggests" statements in debian/control to the
newer version of xerces-c, and updated the environment variables rules
as needed to build the newer version.

Note that there is a Build-Depends on libxerces23-dev >= 2.3.0-2.
This version does not yet exist.  Please see bug #234230 which
includes my patch to the xerces23 source package to build that
version.  That patch includes changes to install the config.status
file that is needed to build this package.

Hopefully I have provided enough information here so that someone can
approve this and get it uploaded.  If not, I can make any required
changes or supply additional information.

-- 
Jay Berkenbilt <ejb@ql.org>
http://www.ql.org/q/

[libxml-xerces-perl-upgrade.sh (application/octet-stream, attachment)]
[libxml-xerces-perl-2.1.0-2.3.0.diff (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ivo Timmermans <ivo@debian.org>:
Bug#225305; Package libxml-xerces-perl. Full text and rfc822 format available.

Acknowledgement sent to Jay Berkenbilt <ejb@ql.org>:
Extra info received and forwarded to list. Copy sent to Ivo Timmermans <ivo@debian.org>. Full text and rfc822 format available.

Message #28 received at 225305@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <ejb@ql.org>
To: 225305@bugs.debian.org
Subject: reposting patches
Date: Sun, 22 Feb 2004 14:28:55 -0500
[Message part 1 (text/plain, inline)]
Sorry for all the noise :-(.  I'm reposting the shell script and patch
as text/plain and without the trailing newlines chopped off.
[libxml-xerces-perl-upgrade.sh (text/plain, attachment)]
[libxml-xerces-perl-2.1.0-2.3.0.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ivo Timmermans <ivo@debian.org>:
Bug#225305; Package libxml-xerces-perl. Full text and rfc822 format available.

Acknowledgement sent to Jay Berkenbilt <ejb@ql.org>:
Extra info received and forwarded to list. Copy sent to Ivo Timmermans <ivo@debian.org>. Full text and rfc822 format available.

Message #33 received at 225305@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <ejb@ql.org>
To: 225305@bugs.debian.org
Cc: "Marc 'HE' Brockschmidt" <marc@marcbrockschmidt.de>
Subject: revised patch
Date: Wed, 17 Mar 2004 17:35:57 -0500
[Message part 1 (text/plain, inline)]
Here is a revised patch for libxml-xerces-perl to bring it up to the
latest upstream version.  The only difference between this patch and
the previous one is that this patch follows the proper procedure for
NMU.  It now build-depends upon >= 2.3.0-1.1 of libxerces23-dev and
sets the version of this package to 2.3.0-4-0.1.  (2.3.0-4 is the
upstream version, and the previous version of the debian package is
based on an under upstream version.)
[libxml-xerces-perl-2.1.0-2.3.0.diff (text/plain, attachment)]

Tags added: fixed Request was from Jay Berkenbilt <ejb@ql.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Jay Berkenbilt <ejb@ql.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Hugo Haas <hugo@larve.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 225305-close@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <ejb@ql.org>
To: 225305-close@bugs.debian.org
Subject: Bug#225305: fixed in libxml-xerces-perl 2.3.0-4-1
Date: Tue, 04 May 2004 07:47:06 -0400
Source: libxml-xerces-perl
Source-Version: 2.3.0-4-1

We believe that the bug you reported is fixed in the latest version of
libxml-xerces-perl, which is due to be installed in the Debian FTP archive:

libxml-xerces-perl_2.3.0-4-1.diff.gz
  to pool/main/libx/libxml-xerces-perl/libxml-xerces-perl_2.3.0-4-1.diff.gz
libxml-xerces-perl_2.3.0-4-1.dsc
  to pool/main/libx/libxml-xerces-perl/libxml-xerces-perl_2.3.0-4-1.dsc
libxml-xerces-perl_2.3.0-4-1_i386.deb
  to pool/main/libx/libxml-xerces-perl/libxml-xerces-perl_2.3.0-4-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 225305@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jay Berkenbilt <ejb@ql.org> (supplier of updated libxml-xerces-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 20 Apr 2004 19:33:18 -0400
Source: libxml-xerces-perl
Binary: libxml-xerces-perl
Architecture: source i386
Version: 2.3.0-4-1
Distribution: unstable
Urgency: low
Maintainer: Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Changed-By: Jay Berkenbilt <ejb@ql.org>
Description: 
 libxml-xerces-perl - Perl API to Xerces XML parser
Closes: 225305
Changes: 
 libxml-xerces-perl (2.3.0-4-1) unstable; urgency=low
 .
   * New maintainer.
   * Incorporated changes from NMU.  (Closes: #225305)
   * debian/control: updated standards version
   * debian/README.Debian: fixed reference to obsolete version of the
     libxerces packages
Files: 
 92ce330a3f06d1a334f21b3a371fdec1 762 perl extra libxml-xerces-perl_2.3.0-4-1.dsc
 006dd9f2b0238539cb58b37838c613ef 213770 perl extra libxml-xerces-perl_2.3.0-4.orig.tar.gz
 6eff6fcbe630e22cb27807da6bfe3a7c 3653 perl extra libxml-xerces-perl_2.3.0-4-1.diff.gz
 4d307f5b474cee6ba36742f489d141d9 784030 perl extra libxml-xerces-perl_2.3.0-4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAl4GFbTEMl+oVcvERAm5wAJ9q8PailpnM8birzMTFHT/iNU/6wgCfV6AU
7bJV4GdrtJHB3CEtSirhgpg=
=SyWW
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:11:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.